Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Onboarding
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Onboarding

Create onboarding application

POST
/v1/onboardings/
Creates a new onboarding application for a customer account. Only account_id is required to start the application, but full onboarding requires company, payout, and shareholder details. Use hosted onboarding when you want the customer to complete the flow in the embedded widget; use self-hosted onboarding if you collect the data yourself and still finalize it through the hosted widget. Documents for the company and shareholders are uploaded separately through the onboarding documents endpoints.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/json

Examples

Responses

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/onboardings/' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "account_id": 41
}'
Response Response Example
201 - response
{
    "data": {
        "id": "98c96cc9-c5b4-4faa-a6e7-7206c0529b35",
        "account_id": 5,
        "status": "STARTED",
        "status_changed_at": "2023-03-27 11:20:10",
        "ownership_category": null,
        "created_at": "2023-03-27 11:20:10",
        "updated_at": "2023-03-27 11:20:10"
    }
}
Modified at 2026-09-25 07:15:05
Previous
Delete user
Next
Retrieve onboarding application
Built with